
package de.ivu.elect.presentation.staat.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(StaatActionMenu.COMPONENT_NAME)
public class StaatActionMenu extends AbstractActionMenuModelBuilder<Staat> {

  public static final String COMPONENT_NAME = "staatActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  private StaatEditAction staatEditAction;

  @Inject
  private StaatDeleteAction staatDeleteAction;

  public StaatActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Staat>> getActionEntriesSorted() {
    List<ActionEntry<Staat>> result = new ArrayList<>();

    result.add(staatEditAction);
    result.add(staatDeleteAction);

    return result;
  }
}
